<?php
/*
File: gbcommon.inc.php
Project: Dasc's PHP Guestbook
Author(s): Daniel Schlyder <dsc@c2i.net>
Last modified: 2002-02-05

Copyright (c) 2001, 2002 Daniel Schlyder. All rights reserved.
(See README.txt)
*/

// Functions used in both 'sign' and 'view' scripts
// ================================================

// return HTML formatted message
function msg($msg)
{
	return "<p>" . $msg . "</p>\n\n";
}

// return HTML formatted error message, and send e-mail to address defined
// in $cfg['errorTo'] if $sendMail is true
function error($msg, $sendMail = false)
{
	global $cfg;
	
	if ($sendMail && $cfg['errorTo'] != "")
		@ mail($cfg['errorTo'], "Error!", $msg, "From: " . $cfg['mailFrom']);
	
	return "<p><strong>Error: </strong>" . $msg . "</p>\n\n";
}

?>
